// EditInfoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "EditInfoDlg.h"
#include "afxdialogex.h"


// CEditInfoDlg dialog
IMPLEMENT_DYNAMIC(CEditInfoDlg, CDialogEx)

void CEditInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_BIP, m_BipEdit);
	DDX_Control(pDX, IDC_FAMILY, m_FamilyEdit);
	DDX_Control(pDX, IDC_NAME, m_NameEdit);
	DDX_Control(pDX, IDC_CHANGE_RANK, m_ChangeRank);
	DDX_Control(pDX, IDC_TIME, m_TimeEdit);
	DDX_Control(pDX, IDC_COMMENT, m_CommentEdit);
}

BEGIN_MESSAGE_MAP(CEditInfoDlg, CDialogEx)
	ON_BN_CLICKED(IDC_CHANGE_RANK, &CEditInfoDlg::OnBnClickedChangeRank)
END_MESSAGE_MAP()

// CEditInfoDlg message handlers

BOOL CEditInfoDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();
	m_BipEdit.SetWindowText(m_szBIP);
	m_FamilyEdit.SetWindowText(m_szFamily);
	m_NameEdit.SetWindowText(m_szName);
	m_ChangeRank.SetCheck(BST_UNCHECKED);
	m_TimeEdit.SetWindowText(m_szTime);
	m_CommentEdit.SetWindowText(m_szComment);
	m_TimeEdit.EnableWindow(FALSE);
	m_CommentEdit.EnableWindow(FALSE);
	return TRUE;
}

void CEditInfoDlg::OnOK()
{
	m_FamilyEdit.GetWindowText(m_szFamily);
	m_NameEdit.GetWindowText(m_szName);
	m_TimeEdit.GetWindowText(m_szTime);
	m_CommentEdit.GetWindowText(m_szComment);
	CDialogEx::OnOK();
}

void CEditInfoDlg::OnBnClickedChangeRank()
{
	m_bChangeRank = m_ChangeRank.GetCheck() == BST_CHECKED;
	m_TimeEdit.EnableWindow(m_bChangeRank ? TRUE : FALSE);
	m_CommentEdit.EnableWindow(m_bChangeRank ? TRUE : FALSE);
}
