#pragma once
#include "afxwin.h"

// CEditInfoDlg dialog

class CEditInfoDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CEditInfoDlg)

public:
	CEditInfoDlg(CWnd* pParent, CString szBip, CString szFamily, CString szName, CString szTime, CString szComment)
		: CDialogEx(IDD_EDITINFODLG, pParent), m_szBIP(szBip), m_szFamily(szFamily),
		m_szName(szName), m_szTime(szTime), m_szComment(szComment), m_bChangeRank(false) { }
	CString Bip() { return m_szBIP; }
	CString Family() { return m_szFamily; }
	CString Name() { return m_szName; }
	CString Time() { return m_szTime; }
	CString Comment() { return m_szComment; }
	bool RankChanged() { return m_bChangeRank; }

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_EDITINFODLG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

protected:
	CEdit m_BipEdit;
	CEdit m_FamilyEdit;
	CEdit m_NameEdit;
	CButton m_ChangeRank;
	CEdit m_TimeEdit;
	CEdit m_CommentEdit;
	// local info
	CString m_szBIP;
	CString m_szFamily;
	CString m_szName;
	CString m_szTime;
	CString m_szComment;
	bool m_bChangeRank;

public:
	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnBnClickedChangeRank();
};
