// TCPSettingsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SLTramplinWatcher.h"
#include "TCPSettingsDlg.h"
#include "afxdialogex.h"


// CTCPSettingsDlg dialog

IMPLEMENT_DYNAMIC(CTCPSettingsDlg, CDialogEx)

CTCPSettingsDlg::CTCPSettingsDlg(CWnd* pParent, DWORD nIP, DWORD nPort)
	: CDialogEx(IDD_TCPSETTINGSDLG, pParent), m_nIP(nIP), m_nPort(nPort)
{
}

void CTCPSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_IP, m_IP);
	DDX_Control(pDX, IDC_PORT, m_Port);
}

BOOL CTCPSettingsDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();
	//
	CString str;
	str.Format(_T("%d"), m_nPort);
	m_Port.SetWindowText(str);
	m_IP.SetAddress(m_nIP);
	return TRUE;
}

void CTCPSettingsDlg::OnOK()
{
	TCHAR str[32];
	m_Port.GetWindowText(str, 32);
	m_nPort = _wtoi(str);
	m_IP.GetAddress(m_nIP);
	CDialogEx::OnOK();
}

BEGIN_MESSAGE_MAP(CTCPSettingsDlg, CDialogEx)
END_MESSAGE_MAP()
