
// SLVolaSplitter.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "SLVolaSplitter.h"
#include "SLVolaSplitterDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSLVolaSplitterApp

BEGIN_MESSAGE_MAP(CSLVolaSplitterApp, CWinApp)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// CSLVolaSplitterApp construction

CSLVolaSplitterApp::CSLVolaSplitterApp()
{
	// support Restart Manager
	m_dwRestartManagerSupportFlags = AFX_RESTART_MANAGER_SUPPORT_RESTART;

	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CSLVolaSplitterApp object

CSLVolaSplitterApp theApp;


// CSLVolaSplitterApp initialization

BOOL CSLVolaSplitterApp::InitInstance()
{
	// InitCommonControlsEx() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// Set this to include all the common control classes you want to use
	// in your application.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();


	AfxEnableControlContainer();

	// Create the shell manager, in case the dialog contains
	// any shell tree view or shell list view controls.
	CShellManager *pShellManager = new CShellManager;

	// Activate "Windows Native" visual manager for enabling themes in MFC controls
	CMFCVisualManager::SetDefaultManager(RUNTIME_CLASS(CMFCVisualManagerWindows));

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("SoftLab-NSK"));
	const LPCTSTR szIniFolder = _T("Settings");
	DWORD nServerPort = GetProfileInt(szIniFolder, _T("Port4VOLA"), 1234);
	DWORD nPort[CSLVolaSplitterDlg::cMaxClientCnt];
	CString szAddress[CSLVolaSplitterDlg::cMaxClientCnt];
	for (int i = 0; i < CSLVolaSplitterDlg::cMaxClientCnt; i++) {
		CString str1,str2;
		str1.Format(_T("Address4Tablo%02d"), i + 1);
		str2.Format(_T("Port4Tablo%02d"), i + 1);
		szAddress[i] = GetProfileString(szIniFolder, str1, _T(""));
		nPort[i] = GetProfileInt(szIniFolder, str2, 1234);
	}
	CSLVolaSplitterDlg dlg(nServerPort, szAddress, nPort);
	m_pMainWnd = &dlg;
	dlg.DoModal();
	WriteProfileInt(szIniFolder, _T("Port4VOLA"), dlg.ServerPort());
	for (int i = 0; i < CSLVolaSplitterDlg::cMaxClientCnt; i++) {
		CString str1, str2;
		str1.Format(_T("Address4Tablo%02d"), i + 1);
		str2.Format(_T("Port4Tablo%02d"), i + 1);
		WriteProfileString(szIniFolder, str1, dlg.ClientIP(i));
		WriteProfileInt(szIniFolder, str2, dlg.ClientPort(i));
	}

	// Delete the shell manager created above.
	if (pShellManager != NULL)  delete pShellManager;

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}

